Retrieve list of all Persons

Retrieve a paginated list of all Persons, with or without user account in TIS, and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings :

retentionState - Person's restriction state - Not Restricted, Restricted, Unrestricted.
firstName - Person's first name.
lastName - Person's last name.
email - Person's email.
legalEntityBusinessId - Person's related legal entity business id.
legalEntityName - Person's related legal entity name.
nationalId - National/Personal ID.
title - The title of person. Supports alphanumeric value, up to 255 characters.
position - The title of person. Supports alphanumeric value, up to 255 characters.
ssoUser - boolean

For example, when you need to fetch all persons that have title "Manager" and first name "John" you need to run this query
filter=title=Manager firstName=John

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=legalEntityName="Example Legal Entity".


The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuefirstName=John
!=Not EqualNegated equalfirstName!=John
:InMatches field against list of comma separated valuesfirstName:John,Bill,Tom
!:Not InNegated InfirstName!:John,Bill,Tom
<field>ExistsA field without operator. Is true if the field is not null firstName
<field>!Not ExistsNegated exists. Is true if field is nullfirstName!


The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

Usage Name Description
email=foo* or email="foo"* Starts with Matches any string starting with the value.
email=*foo or email=*"foo" Ends with Matches any string ending with the value.
email=*foo* or email=*"foo"* Like Matches any string containing the value.


integer
Defaults to 1

Specify which page of results to return, one-based i.e. starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json